Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 08 Apr 2023 17:31:58 +0000 (UTC)

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have placed an order on 1st April and delivered with incorrect sizes. I want to return it, but the order status in your system is still showing "Processing" for 8 days. I have been calling customer care, went twice to lifestyle shops directly but your service and support so far has been the most frustrating. Everyone says the same excuse that "technical team is working to UPDATE STATUS and it will take time. You call later"
How much time does it take to update, and when will you learn to treat a. Customer properly?

Such a  horrible experience and it is continuing. Sort out and arrange to take the retun.
Order: 7823453742 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6016110